lua-sec_0.5-1_amd64.deb


Advertisement

Description

lua-sec - SSL socket library for the Lua language

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name lua-sec
Package version 0.5
Package release 1
Package architecture amd64
Package type deb
Installed size 170 B
Download size 23.52 KB
Official Mirror ftp.br.debian.org
This package contains the luasec library, that adds on top of
the luasocket library SSL support.

Alternatives

Package Version Architecture Repository
lua-sec_0.5-1_i386.deb 0.5 i386 Debian Main
lua-sec - - -

Requires

Name Value
libc6 >= 2.4
libssl1.0.0 >= 1.0.1
lua-socket -
multiarch-support -

Provides

Name Value
lua5.1-sec -
lua5.2-sec -

Download

Type URL
Binary Package lua-sec_0.5-1_amd64.deb
Source Package lua-sec

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install lua-sec deb package:
    # sudo apt-get install lua-sec

Files

Path
/usr/lib/x86_64-linux-gnu/liblua5.1-sec.so.1
/usr/lib/x86_64-linux-gnu/liblua5.1-sec.so.1.0.0
/usr/lib/x86_64-linux-gnu/liblua5.2-sec.so.1
/usr/lib/x86_64-linux-gnu/liblua5.2-sec.so.1.0.0
/usr/lib/x86_64-linux-gnu/lua/5.1/ssl.so
/usr/lib/x86_64-linux-gnu/lua/5.2/ssl.so
/usr/share/doc/lua-sec/changelog.Debian.gz
/usr/share/doc/lua-sec/changelog.gz
/usr/share/doc/lua-sec/copyright
/usr/share/lua/5.1/ssl.lua
/usr/share/lua/5.1/ssl/https.lua
/usr/share/lua/5.1/ssl/options.lua
/usr/share/lua/5.2/ssl.lua
/usr/share/lua/5.2/ssl/https.lua
/usr/share/lua/5.2/ssl/options.lua

Changelog

2014-02-01 - Enrico Tassi <gareuselesinge@debian.org>
lua-sec (0.5-1) unstable; urgency=medium
* New upstream release 
* Bump Standards-Version to 3.9.5, no changes
* Copyright updated and ported to format 1.0 
2013-08-21 - Enrico Tassi <gareuselesinge@debian.org>
lua-sec (0.4.1+git063e8a8-2) unstable; urgency=low
* Bundle all C modules into a single ssl.so module, as the upstream
suggested 
* Fix lua-sec.h listing all luaopen_ssl_xxx available
* Remove last bits of transitional packages 
2012-06-25 - Enrico Tassi <gareuselesinge@debian.org>
lua-sec (0.4.1+git063e8a8-1) unstable; urgency=low
* New upstream snaphost for luasocket 3.0 
2012-05-11 - Enrico Tassi <gareuselesinge@debian.org>
lua-sec (0.4.1-1) unstable; urgency=low
* New upstream release
* Update watch file
2012-05-06 - Enrico Tassi <gareuselesinge@debian.org>
lua-sec (0.4-8) unstable; urgency=low
* Clean up samples directory (Closes: #670007)
2012-05-06 - Enrico Tassi <gareuselesinge@debian.org>
lua-sec (0.4-7) unstable; urgency=low
* Switch to dh-lua
* Packages renamed according to the new Lua policy
* debian/compat set to 8
* Bumped standards-version to 3.9.3, no changes 
2012-02-18 - Enrico Tassi <gareuselesinge@debian.org>
lua-sec (0.4-6) unstable; urgency=low
* Install https.lua inside the ssl/ directory
2011-07-21 - Enrico Tassi <gareuselesinge@debian.org>
lua-sec (0.4-5) unstable; urgency=low
* source format 3.0 (quilt)
2011-07-21 - Enrico Tassi <gareuselesinge@debian.org>
lua-sec (0.4-4) unstable; urgency=low
* bumped standards-version to 3.9.2, no changes
* multi-arch compliant (dh >= 8.1.3, lua5.1-policy >= 32)
* mention in debian/copyright the copyright holders for https.lua, thanks
Barry deFreese for spotting that 
2009-11-13 - Enrico Tassi <gareuselesinge@debian.org>
lua-sec (0.4-3) unstable; urgency=low
* build depend on liblua5.1-policy-dev >= 26 to specify linker flags
for statical linkage (Closes: #555567)

See Also

Package Description
lua-soap_3.0+git91419a7-1_all.deb SOAP library for the Lua language
lua-socket-dev_3.0~rc1-3_amd64.deb TCP/UDP socket library for the Lua language
lua-socket_3.0~rc1-3_amd64.deb TCP/UDP socket library for the Lua language
lua-sql-doc_2.3.0-4_all.deb luasql documentation
lua-sql-mysql-dev_2.3.0-4_amd64.deb luasql development files for the Lua language
lua-sql-mysql_2.3.0-4_amd64.deb luasql library for the Lua language
lua-sql-postgres-dev_2.3.0-4_amd64.deb luasql development files for the Lua language
lua-sql-postgres_2.3.0-4_amd64.deb luasql library for the Lua language
lua-sql-sqlite3-dev_2.3.0-4_amd64.deb luasql development files for the Lua language
lua-sql-sqlite3_2.3.0-4_amd64.deb luasql library for the Lua language
lua-svn-dev_0.4.0-9_amd64.deb Development files for the Subversion library for the Lua language
lua-svn_0.4.0-9_amd64.deb Subversion library for the Lua language
lua-term-dev_0.03.20140426.g1ba9a8e-1_amd64.deb Lua module for manipulating a terminal
lua-term_0.03.20140426.g1ba9a8e-1_amd64.deb Lua module for manipulating a terminal
lua-unit_3.0-1_all.deb Lua unit testing framework
Advertisement
Advertisement